Get Workflow call logs
curl --request GET \
--url https://api.getmalakai.com/workflows/logs/{workflow_id} \
--header 'Authorization: <authorization>' \
--header 'x-access-token: <x-access-token>'{
"responseCode": 2000,
"message": "Workflow logs fetched successfully",
"data": [
{
"id": "d2e86f99-832d-4750-ab14-b50245afa96f",
"tester_name": "Laura",
"tester_phone": "+1234567890",
"tester_email": "",
"agent_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"workflow_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"test_result": {
"name": "Laura",
"email": "",
"status": "completed",
"address": "Temp Address",
"call_sid": "CAxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"sentiment": "neutral",
"contact_id": "",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"call_summary": "The user provided a vague location without any specific details about their real estate needs. The assistant attempted to gather more information by asking about the user's budget and desired property features, but the user did not provide any additional details. The assistant was unable to fully address the user's request based on the limited information provided.",
"conversation": "[{\"role\": \"user\", \"content\": \"---\"}, {\"role\": \"assistant\", \"content\": \"Hello, this is Laura from Massive Properties. How can I assist you with your real estate needs today?\"}, {\"role\": \"user\", \"content\": \" At Manchester Gauteng Young Tower.\"}, {\"role\": \"assistant\", \"content\": \"Wonderful, I'd be happy to assist you with that. Can you tell me a bit more about your budget and the specific features you're looking for in a condo?\"}]",
"call_duration": "210 seconds",
"goal_achieved": "no",
"recording_url": "https://malakai-audio-files.s3.us-east-1.amazonaws.com/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx-1751973826580.mp3"
},
"status": "completed",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"created_at": "2025-07-08T11:19:23.689Z",
"updated_at": "2025-07-08T11:23:46.757Z"
}
]
}
Workflows
Get Workflow call logs
Retrieve a list of all workflow logs.
GET
workflows
/
logs
/
{workflow_id}
Get Workflow call logs
curl --request GET \
--url https://api.getmalakai.com/workflows/logs/{workflow_id} \
--header 'Authorization: <authorization>' \
--header 'x-access-token: <x-access-token>'{
"responseCode": 2000,
"message": "Workflow logs fetched successfully",
"data": [
{
"id": "d2e86f99-832d-4750-ab14-b50245afa96f",
"tester_name": "Laura",
"tester_phone": "+1234567890",
"tester_email": "",
"agent_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"workflow_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"test_result": {
"name": "Laura",
"email": "",
"status": "completed",
"address": "Temp Address",
"call_sid": "CAxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"sentiment": "neutral",
"contact_id": "",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"call_summary": "The user provided a vague location without any specific details about their real estate needs. The assistant attempted to gather more information by asking about the user's budget and desired property features, but the user did not provide any additional details. The assistant was unable to fully address the user's request based on the limited information provided.",
"conversation": "[{\"role\": \"user\", \"content\": \"---\"}, {\"role\": \"assistant\", \"content\": \"Hello, this is Laura from Massive Properties. How can I assist you with your real estate needs today?\"}, {\"role\": \"user\", \"content\": \" At Manchester Gauteng Young Tower.\"}, {\"role\": \"assistant\", \"content\": \"Wonderful, I'd be happy to assist you with that. Can you tell me a bit more about your budget and the specific features you're looking for in a condo?\"}]",
"call_duration": "210 seconds",
"goal_achieved": "no",
"recording_url": "https://malakai-audio-files.s3.us-east-1.amazonaws.com/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx-1751973826580.mp3"
},
"status": "completed",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"created_at": "2025-07-08T11:19:23.689Z",
"updated_at": "2025-07-08T11:23:46.757Z"
}
]
}
Headers
Your API key for authentication. Prefix with
Bearer .Your access token for authentication.
Path Parameters
The unique identifier of the workflow you want to get the logs of.
Response
An array containing the value of all the workflows logs as values.
{
"responseCode": 2000,
"message": "Workflow logs fetched successfully",
"data": [
{
"id": "d2e86f99-832d-4750-ab14-b50245afa96f",
"tester_name": "Laura",
"tester_phone": "+1234567890",
"tester_email": "",
"agent_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"workflow_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"test_result": {
"name": "Laura",
"email": "",
"status": "completed",
"address": "Temp Address",
"call_sid": "CAxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"sentiment": "neutral",
"contact_id": "",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"call_summary": "The user provided a vague location without any specific details about their real estate needs. The assistant attempted to gather more information by asking about the user's budget and desired property features, but the user did not provide any additional details. The assistant was unable to fully address the user's request based on the limited information provided.",
"conversation": "[{\"role\": \"user\", \"content\": \"---\"}, {\"role\": \"assistant\", \"content\": \"Hello, this is Laura from Massive Properties. How can I assist you with your real estate needs today?\"}, {\"role\": \"user\", \"content\": \" At Manchester Gauteng Young Tower.\"}, {\"role\": \"assistant\", \"content\": \"Wonderful, I'd be happy to assist you with that. Can you tell me a bit more about your budget and the specific features you're looking for in a condo?\"}]",
"call_duration": "210 seconds",
"goal_achieved": "no",
"recording_url": "https://malakai-audio-files.s3.us-east-1.amazonaws.com/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx-1751973826580.mp3"
},
"status": "completed",
"session_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"created_at": "2025-07-08T11:19:23.689Z",
"updated_at": "2025-07-08T11:23:46.757Z"
}
]
}
⌘I